// ignore_for_file: non_constant_identifier_names
import "json_dart.dart";
// import "dart:convert";

class SenderData extends JsonScheme {
  SenderData(super.rawData);

  static Map get defaultData {
    return {
      "@type": "senderData",
      "name": "Decathlon Indonesia",
      "address": "DKI Jakarta"
    };
  }

  String? get special_type {
    try {
      if (rawData["@type"] is String == false) {
        return null;
      }
      return rawData["@type"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get name {
    try {
      if (rawData["name"] is String == false) {
        return null;
      }
      return rawData["name"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get address {
    try {
      if (rawData["address"] is String == false) {
        return null;
      }
      return rawData["address"] as String;
    } catch (e) {
      return null;
    }
  }

  static SenderData create({
    String special_type = "senderData",
    String? name,
    String? address,
  }) {
    // SenderData senderData = SenderData({

    SenderData senderData_data_create = SenderData({
      "@type": special_type,
      "name": name,
      "address": address,
    });

// return senderData;
    return senderData_data_create;
  }
}
