// ignore_for_file: non_constant_identifier_names
import "json_dart.dart";
// import "dart:convert";

class BerduTrackDataConsignee extends JsonSchemeRaw {
  BerduTrackDataConsignee(super.rawData);

  static Map get defaultData {
    return {
      "@type": "berduTrackDataConsignee",
      "name": "SARWOTO",
      "address": "",
      "__typename": "TrackingDirectIdentity"
    };
  }

  String? get special_type {
    try {
      if (rawData["@type"] is String == false) {
        return null;
      }
      return rawData["@type"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get name {
    try {
      if (rawData["name"] is String == false) {
        return null;
      }
      return rawData["name"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get address {
    try {
      if (rawData["address"] is String == false) {
        return null;
      }
      return rawData["address"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get __typename {
    try {
      if (rawData["__typename"] is String == false) {
        return null;
      }
      return rawData["__typename"] as String;
    } catch (e) {
      return null;
    }
  }

  static BerduTrackDataConsignee create({
    String special_type = "berduTrackDataConsignee",
    String? name,
    String? address,
    String? typename,
  }) {
    // BerduTrackDataConsignee berduTrackDataConsignee = BerduTrackDataConsignee({

    BerduTrackDataConsignee berduTrackDataConsignee_data_create =
        BerduTrackDataConsignee({
      "@type": special_type,
      "name": name,
      "address": address,
      "__typename": typename,
    });

// return berduTrackDataConsignee;
    return berduTrackDataConsignee_data_create;
  }
}
