// ignore_for_file: non_constant_identifier_names
import "json_dart.dart";
// import "dart:convert";

class BerduTrackDataLogistic extends JsonSchemeRaw {
  BerduTrackDataLogistic(super.rawData);

  static Map get defaultData {
    return {
      "@type": "berduTrackDataLogistic",
      "id": "1",
      "__typename": "Logistic"
    };
  }

  String? get special_type {
    try {
      if (rawData["@type"] is String == false) {
        return null;
      }
      return rawData["@type"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get id {
    try {
      if (rawData["id"] is String == false) {
        return null;
      }
      return rawData["id"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get __typename {
    try {
      if (rawData["__typename"] is String == false) {
        return null;
      }
      return rawData["__typename"] as String;
    } catch (e) {
      return null;
    }
  }

  static BerduTrackDataLogistic create({
    String special_type = "berduTrackDataLogistic",
    String? id,
    String? typename,
  }) {
    // BerduTrackDataLogistic berduTrackDataLogistic = BerduTrackDataLogistic({

    BerduTrackDataLogistic berduTrackDataLogistic_data_create =
        BerduTrackDataLogistic({
      "@type": special_type,
      "id": id,
      "__typename": typename,
    });

// return berduTrackDataLogistic;
    return berduTrackDataLogistic_data_create;
  }
}
