// ignore_for_file: non_constant_identifier_names
import "json_dart.dart";
// import "dart:convert";

class SicepatDataTrackHistory extends JsonSchemeRaw {
  SicepatDataTrackHistory(super.rawData);

  static Map get defaultData {
    return {
      "@type": "sicepatDataTrackHistory",
      "date_time": "2023-05-22 15:40",
      "status": "PICKREQ",
      "city": "Terima permintaan pick up dari [Tokopedia]"
    };
  }

  String? get special_type {
    try {
      if (rawData["@type"] is String == false) {
        return null;
      }
      return rawData["@type"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get date_time {
    try {
      if (rawData["date_time"] is String == false) {
        return null;
      }
      return rawData["date_time"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get status {
    try {
      if (rawData["status"] is String == false) {
        return null;
      }
      return rawData["status"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get city {
    try {
      if (rawData["city"] is String == false) {
        return null;
      }
      return rawData["city"] as String;
    } catch (e) {
      return null;
    }
  }

  static SicepatDataTrackHistory create({
    String special_type = "sicepatDataTrackHistory",
    String? date_time,
    String? status,
    String? city,
  }) {
    // SicepatDataTrackHistory sicepatDataTrackHistory = SicepatDataTrackHistory({

    SicepatDataTrackHistory sicepatDataTrackHistory_data_create =
        SicepatDataTrackHistory({
      "@type": special_type,
      "date_time": date_time,
      "status": status,
      "city": city,
    });

// return sicepatDataTrackHistory;
    return sicepatDataTrackHistory_data_create;
  }
}
