// ignore_for_file: unnecessary_brace_in_string_interps

import "package:delivery_tracker_client/scheme/scheme.dart" as scheme;

extension DeliveryDataExtensions on scheme.DeliveryData {
  String toStringMessage() {
    // {
    //   "@type": "deliveryData",
    //   "id": "005208225151",
    //   "sender": {"@type": "senderData", "name": "Decathlon Indonesia", "address": "DKI Jakarta"},
    //   "receiver": {"@type": "receiverData", "name": "Hendi", "address": "Kotabaru, Kab. Karawang"},
    //   "service": "REG",
    //   "weight": 1,
    //   "platform": "Tokopedia",
    //   "send_date": "2023-05-23 03:32",
    //   "real_price": 0,
    //   "total_price": 14000,
    //   "track_history": [
    //     {
    //       "@type": "trackHistoryData",
    //       "date": "2023-05-22 15:40",
    //       "status": "PICKREQ",
    //       "message": "Terima permintaan pick up dari [Tokopedia]",
    //     },
    //   ]
    // },

    String message = "";

    message += "\n🆔️ Id: ${id}";
    String sender_msg = "";
    sender_msg += "\n\t🆔️ Name: ${sender.name ?? ""}";
    sender_msg += "\n\t📌️ Addres: ${sender.address ?? ""}";
    message += "\n\n👤️ Sender: ${sender_msg}";
    String receiver_msg = "";

    receiver_msg += "\n\t🆔️ Name: ${receiver.name ?? ""}";
    receiver_msg += "\n\t📌️ Addres: ${receiver.address ?? ""}";
    message += "\n👤️ Receiver: ${receiver_msg}";
    message += "\n";

    message += "\n🔖️ Platform: ${platform ?? ""}";
    message += "\n🏷️  Service: ${service ?? ""}";
    message += "\n🏋‍♀️️ Weight: ${weight ?? "0"}";
    message += "\n📅️ Send Date: ${send_date ?? ""}";
    message += "\n🪙️  Real Price: ${real_price ?? "0"}";
    message += "\n🪙️  Total Price: ${total_price ?? "0"}";
    String track_history_msg = "";

    for (var element in track_history) {
      String msg_track = "• Status: ${element.status ?? ""}";
      msg_track += "\n\t  📅️ Date: ${element.date ?? ""}";
      msg_track += "\n\t  🏷️  Message: ${element.message ?? ""}";

      track_history_msg += "\n\n\t${msg_track}";
    }

    message += "\n📋️ Track History: ${track_history_msg}";
    return message;
  }
}
