// ignore_for_file: non_constant_identifier_names
import "json_dart.dart";
// import "dart:convert";

class ReceiverData extends JsonScheme {
  ReceiverData(super.rawData);

  static Map get defaultData {
    return {
      "@type": "receiverData",
      "name": "Hendi",
      "address": "Kotabaru, Kab. Karawang"
    };
  }

  String? get special_type {
    try {
      if (rawData["@type"] is String == false) {
        return null;
      }
      return rawData["@type"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get name {
    try {
      if (rawData["name"] is String == false) {
        return null;
      }
      return rawData["name"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get address {
    try {
      if (rawData["address"] is String == false) {
        return null;
      }
      return rawData["address"] as String;
    } catch (e) {
      return null;
    }
  }

  static ReceiverData create({
    String special_type = "receiverData",
    String? name,
    String? address,
  }) {
    // ReceiverData receiverData = ReceiverData({

    ReceiverData receiverData_data_create = ReceiverData({
      "@type": special_type,
      "name": name,
      "address": address,
    });

// return receiverData;
    return receiverData_data_create;
  }
}
