// ignore_for_file: non_constant_identifier_names
import "json_dart.dart";
// import "dart:convert";

class TrackHistoryData extends JsonScheme {
  TrackHistoryData(super.rawData);

  static Map get defaultData {
    return {
      "@type": "trackHistoryData",
      "date": "2023-05-24 10:13",
      "status": "DELIVERED",
      "message": ""
    };
  }

  String? get special_type {
    try {
      if (rawData["@type"] is String == false) {
        return null;
      }
      return rawData["@type"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get date {
    try {
      if (rawData["date"] is String == false) {
        return null;
      }
      return rawData["date"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get status {
    try {
      if (rawData["status"] is String == false) {
        return null;
      }
      return rawData["status"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get message {
    try {
      if (rawData["message"] is String == false) {
        return null;
      }
      return rawData["message"] as String;
    } catch (e) {
      return null;
    }
  }

  static TrackHistoryData create({
    String special_type = "trackHistoryData",
    String? date,
    String? status,
    String? message,
  }) {
    // TrackHistoryData trackHistoryData = TrackHistoryData({

    TrackHistoryData trackHistoryData_data_create = TrackHistoryData({
      "@type": special_type,
      "date": date,
      "status": status,
      "message": message,
    });

// return trackHistoryData;
    return trackHistoryData_data_create;
  }
}
