// ignore_for_file: non_constant_identifier_names
import "json_dart.dart";
// import "dart:convert";

class BerduTrackDataDetailLogisticStatus extends JsonSchemeRaw {
  BerduTrackDataDetailLogisticStatus(super.rawData);

  static Map get defaultData {
    return {
      "@type": "berduTrackDataDetailLogisticStatus",
      "name": "SHIPMENT RECEIVED BY JNE COUNTER OFFICER AT [variable]",
      "description": "SHIPMENT RECEIVED BY JNE COUNTER OFFICER AT [SOLO]",
      "__typename": "TrackingDirectStatus"
    };
  }

  String? get special_type {
    try {
      if (rawData["@type"] is String == false) {
        return null;
      }
      return rawData["@type"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get name {
    try {
      if (rawData["name"] is String == false) {
        return null;
      }
      return rawData["name"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get description {
    try {
      if (rawData["description"] is String == false) {
        return null;
      }
      return rawData["description"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get __typename {
    try {
      if (rawData["__typename"] is String == false) {
        return null;
      }
      return rawData["__typename"] as String;
    } catch (e) {
      return null;
    }
  }

  static BerduTrackDataDetailLogisticStatus create({
    String special_type = "berduTrackDataDetailLogisticStatus",
    String? name,
    String? description,
    String? typename,
  }) {
    // BerduTrackDataDetailLogisticStatus berduTrackDataDetailLogisticStatus = BerduTrackDataDetailLogisticStatus({

    BerduTrackDataDetailLogisticStatus
        berduTrackDataDetailLogisticStatus_data_create =
        BerduTrackDataDetailLogisticStatus({
      "@type": special_type,
      "name": name,
      "description": description,
      "__typename": typename,
    });

// return berduTrackDataDetailLogisticStatus;
    return berduTrackDataDetailLogisticStatus_data_create;
  }
}
