// ignore_for_file: non_constant_identifier_names
import "json_dart.dart";
// import "dart:convert";

class SicepatDataLastStatus extends JsonSchemeRaw {
  SicepatDataLastStatus(super.rawData);

  static Map get defaultData {
    return {
      "@type": "sicepatDataLastStatus",
      "date_time": "2023-05-24 10:13",
      "status": "DELIVERED",
      "receiver_name": "Paket diterima oleh [hendi - (YBS) Yang Bersangkutan]"
    };
  }

  String? get special_type {
    try {
      if (rawData["@type"] is String == false) {
        return null;
      }
      return rawData["@type"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get date_time {
    try {
      if (rawData["date_time"] is String == false) {
        return null;
      }
      return rawData["date_time"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get status {
    try {
      if (rawData["status"] is String == false) {
        return null;
      }
      return rawData["status"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get receiver_name {
    try {
      if (rawData["receiver_name"] is String == false) {
        return null;
      }
      return rawData["receiver_name"] as String;
    } catch (e) {
      return null;
    }
  }

  static SicepatDataLastStatus create({
    String special_type = "sicepatDataLastStatus",
    String? date_time,
    String? status,
    String? receiver_name,
  }) {
    // SicepatDataLastStatus sicepatDataLastStatus = SicepatDataLastStatus({

    SicepatDataLastStatus sicepatDataLastStatus_data_create =
        SicepatDataLastStatus({
      "@type": special_type,
      "date_time": date_time,
      "status": status,
      "receiver_name": receiver_name,
    });

// return sicepatDataLastStatus;
    return sicepatDataLastStatus_data_create;
  }
}
