// ignore_for_file: non_constant_identifier_names
import "json_dart.dart";
// import "dart:convert";

class SicepatDataStatus extends JsonSchemeRaw {
  SicepatDataStatus(super.rawData);

  static Map get defaultData {
    return {"@type": "sicepatDataStatus", "code": 200, "description": "OK"};
  }

  String? get special_type {
    try {
      if (rawData["@type"] is String == false) {
        return null;
      }
      return rawData["@type"] as String;
    } catch (e) {
      return null;
    }
  }

  int? get code {
    try {
      if (rawData["code"] is int == false) {
        return null;
      }
      return rawData["code"] as int;
    } catch (e) {
      return null;
    }
  }

  String? get description {
    try {
      if (rawData["description"] is String == false) {
        return null;
      }
      return rawData["description"] as String;
    } catch (e) {
      return null;
    }
  }

  static SicepatDataStatus create({
    String special_type = "sicepatDataStatus",
    int? code,
    String? description,
  }) {
    // SicepatDataStatus sicepatDataStatus = SicepatDataStatus({

    SicepatDataStatus sicepatDataStatus_data_create = SicepatDataStatus({
      "@type": special_type,
      "code": code,
      "description": description,
    });

// return sicepatDataStatus;
    return sicepatDataStatus_data_create;
  }
}
